<?php


$title = 'Онлайн';
$paginate = 1;
$load=array("user");
include_once 'protected/sys.php';

if (!$user)
{
	header("Location:/");
	exit;
}

$c = 10;
$k_post = $db->rows("SELECT `id`,`online` FROM `users` WHERE `online`>?",
					array(($config['time']-(3600*12))));
$k_page = k_page($k_post,$c);
$page = page($k_page);
$start = $c*$page-$c;

$db->offEmulate();

$OnlineArray =  $db->fetchAll("SELECT * FROM `users` WHERE `online`>? 
								ORDER BY `online` DESC LIMIT ?,?",
								array(($config['time']-(3600*12)),$start,$c));



?>

<div class="menu">
<?
foreach ($OnlineArray as $data) {
	?>

	 <a class="menu" href ='/user?id=<?=$data['id'];?>'/>
		<img src = '/imgData/static/<?=$data['sex'];?>.png'/>
		 <?
		$us=new user($db);
		$login=$us->login($data['id']);
		echo $login; ?>
		<?=($data['online']>($config['time']-600) ? '<img src="/imgData/static/online.png"/>':null);?>
		<span style ='float:right; margin-left:2px;'/>
		<!--Рейтинг : =($data['str']+$data['vit']+$dat['def'])-->
		<?=$data['self'];?>
		</span>
	</a> </li>

	<? } ?>

<?
if ($k_page>1){
?>
<div class ='menu'/>

<div class="hr_arr mt2 mb2 mlr10">
	<div class="alf">
		<div class="art">
			<div class="acn">
			</div>
		</div>
	</div>
</div>
<center>
<?


str('?',$k_page,$page); // Вывод страниц


?>
</center>
<div class="hr_arr mt2 mb2 mlr10">
	<div class="alf">
		<div class="art">
			<div class="acn">
			</div>
		</div>
	</div>
</div>
</div>
<?
}
?>
<div class="menu">
	<div class="small">
		<div class="nl">
			<div class="nr cntr lyell lh1 p5 sh">
				<img src="/imgData/static/online.png" alt="online" class="icon">
				 - игрок проявлял активность за последние 10 минут
				</div>
			</div>
		</div>
	</div>

<a class="menu" href ='/search_user'/> Поиск игроков </a>
<?




include_once $config['root'].'/protected/footermain.php';